# Uso avanzado

## Opciones de la línea de órdenes

Cuando ejecute &appname; desde la línea de órdenes, dispondrá de muchas opciones para abrir archivos de datos. Puede consultarlas ejecutando `tellico --help`.

    Usage: tellico [options] [filename]

    Tellico - collection management software, free and simple

    Options:
      --nofile                  Do not reopen the last open file
      --bibtex                  Import <filename> as a bibtex file
      --mods                    Import <filename> as a MODS file
      --ris                     Import <filename> as a RIS file

    Arguments:
      [filename]                File to open

## Interfaz &DBus;

&appname; dispone de una interfaz &DBus; mínima que puede ser útil para scriptar o interactuar con una aplicación en ejecución desde la línea de órdenes. Como en todas las llamadas &DBus;, debe especificar el servicio con el que quiere comunicarse, y la interfaz particular. El nombre del servicio &DBus; es `org.kde.tellico`.

### Órdenes &DBus;

Los dos objetos primarios &DBus; están disponibles en la interfaz de tellico: `Tellico` y `Collecciones`.

#### El objeto `Tellico`

A continuación se muestra la lista completa de órdenes &DBus; del objeto `tellico`:

    bool importTellico(QString archivo, QString acción)
    bool importBibtex(QString archivo, QString acción)
    bool importMODS(QString archivo, QString acción)
    bool importPDF(QString archivo, QString acción)
    bool importRIS(QString archivo, QString acción)
    bool exportXML(QString archivo, bool filtrado)
    bool exportZip(QString archivo, bool filtrado)
    bool exportBibtex(QString archivo, bool filtrado)
    bool exportHTML(QString archivo, bool filtrado)
    bool exportCSV(QString archivo, bool filtrado)
    QList<int> selectedEntries()
    QList<int> filteredEntries()
    void openFile(QString archivo)
    void setFilter(QString texto)
    bool showEntry(int id)

Para las cuatro órdenes de importación, el primer argumento es el archivo a importar y el segundo la acción. Dispone de tres acciones: replace, append, and merge. Four file formats are supported for importing: Tellico &XML; files, Bibtex files, MODS files, and RIS files.

La colección actualmente abierta en &appname; se puede exportar a un archivo, ya sea en formato &XML; de Tellico, en formato ZIP de Tellico, Bibtex, &HTML; o en valores separados por comas (CSV). Las órdenes de exportación tienen un argumento adicional para indicar si la colección se debe limitar al filtro actual o no.

Una lista de las ID de la entrada actualmente seleccionada o filtrada puede facilitar mostrar o actualizar las entradas en la vista.

Puede abrir un nuevo archivo de datos mediante la orden `openFile()`. Debe especificar la ruta completa.

Puede establecer un nuevo filtro mediante la orden `setFilter()`, que equivale a escribir en la caja de filtro de la ventana principal.

Dado el ID de una entrada, `showEntry()` la seleccionará y mostrará sus detalles en la ventana principal.

#### El objeto `Colecciones`

La lista completa de órdenes de &DBus; en el objeto `Collecciones` se muestra debajo:

    int addEntry()
    bool removeEntry(int entryID)
    QStringList allValues(QString fieldName)
    QStringList entryValues(int entryID, QString fieldName)
    QStringList selectedBibtexKeys()
    QString entryBibtexKey(int entryID)
    bool setEntryValue(int entryID, QString fieldName, QString value)
    bool addEntryValue(int entryID, QString fieldName, QString value)

Una nueva entrada vacía puede ser creada en la colección actual usando la orden `addEntry()`. El valor devuelto es la ID de la entrada, que puede entonces ser usada para establecer los valores del campo en la entrada. Una entrada puede ser eliminada de la colección ejecutando la orden `removeEntry()`.

Ejecutar `allValues()` usando un nombre de campo devolverá todos los valores para ese campo para las entradas seleccionadas actualmente. Si no hay seleccionada ninguna entrada, la lista devuelta estará vacía. Si la ID de la entrada se incluye en la orden, se devolverán los valores de los campos para esa entrada específica.

Si la colección actual es una bibliografía, ejecutar `selectedBibtexKeys()` devolverá la clave de cita de Bibtex para todas las entradas seleccionadas. La bibtexKey para una entrada específica se puede encontrar utilizando la orden `entryBibtexKey()`.

Las entradas se pueden editar directamente con la interfaz de &DBus;. Dada una ID de entrada, `setEntryValue()` establecerá el valor del campo directamente. Para añadir un valor sin afectar a los ya existentes, use `addEntryValue()`. El nuevo vaor aparece añadido al final de la lista existente.

### Ejemplos de &DBus;

Aquí tiene algunos ejemplos sobre cómo usar &appname; con la interfaz &DBus;.

    Abrir un archivo Bibtex
    % qdbus org.kde.tellico /Tellico org.kde.tellico.importBibtex "/home/robby/reference.bib" "replace"
    true

    Exportar un archivo Bibtex
    % qdbus org.kde.tellico /Tellico org.kde.tellico.exportBibtex ~/documents/reference.bib
    true

    Exportar un archivo Bibtex usando el filtro actual
    % qdbus org.kde.tellico /Tellico org.kde.tellico.exportBibtex ~/documents/reference.bib true
    true

    Mostrar la clave de cita de la selección actual
    % qdbus org.kde.tellico /Collections org.kde.tellico.selectedBibtexKeys
    stephenson2004

    Añadir una nueva entrada y establecer el título
    % myid=`qdbus org.kde.tellico /Collections org.kde.tellico.addEntry`
    % qdbus org.kde.tellico /Collections org.kde.tellico.setEntryValue $myid title "My New Book"
    true